Debian Bug report logs - #647886
ITP: openmcdf -- Structured Storage Explorer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 7 Nov 2011 10:24:14 UTC

Owned by: Mathieu Malaterre <malat@debian.org>

Severity: wishlist

Fixed in version openmcdf/1.5.2-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#647886; Package wnpp. (Mon, 07 Nov 2011 10:24:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 07 Nov 2011 10:24:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: openmcdf -- Structured Storage Explorer
Date: Mon, 07 Nov 2011 11:21:59 +0100
Package: wnpp
Severity: wishlist
Owner: Mathieu Malaterre <mathieu.malaterre@gmail.com>


* Package name    : openmcdf
  Version         : 1.5.2
  Upstream Author : Federico Blaseotto
* URL             : http://openmcdf.sf.net
* License         : MPL 1.1
  Programming Lang: C#
  Description     : Structured Storage Explorer

OpenMCDF is a 100% managed .net component that allows client applications to manipulate COM structured storage files, also known as Microsoft Compound Document Format files.

This file format is used under the hood by a lot of applications: the files created by Microsoft Office until the 2007 product release are all structured storage files. They include multiple streams of information (document summary, user data) in a single phisical container (the file). Also the omnipresent Thumbs.db, used by Windows as thumbnails cache, is a structured storage file.

OpenMCDF makes available to the developer an easy interface to read, write, add and remove structured storage primitives. Structured storage items are organized in a hierarchical tree where 'storage' nodes act like a directory and 'stream' nodes like a file. Developers can use OpenMCDF to view storages and streams, traverse hierarchical trees of items, explore existing compound file and modify them or create a new compound file from scratch.




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:51 GMT) Full text and rfc822 format available.

Owner changed from Mathieu Malaterre <mathieu.malaterre@gmail.com> to Mathieu Malaterre <malat@debian.org>. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:56:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 04 May 2012 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Sun, 20 May 2012 01:06:08 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sun, 20 May 2012 01:06:08 GMT) Full text and rfc822 format available.

Message #16 received at 647886-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 647886-close@bugs.debian.org
Subject: Bug#647886: fixed in openmcdf 1.5.2-1
Date: Sun, 20 May 2012 01:03:32 +0000
Source: openmcdf
Source-Version: 1.5.2-1

We believe that the bug you reported is fixed in the latest version of
openmcdf, which is due to be installed in the Debian FTP archive:

openmcdf_1.5.2-1.debian.tar.gz
  to main/o/openmcdf/openmcdf_1.5.2-1.debian.tar.gz
openmcdf_1.5.2-1.dsc
  to main/o/openmcdf/openmcdf_1.5.2-1.dsc
openmcdf_1.5.2-1_all.deb
  to main/o/openmcdf/openmcdf_1.5.2-1_all.deb
openmcdf_1.5.2.orig.tar.gz
  to main/o/openmcdf/openmcdf_1.5.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647886@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated openmcdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 May 2012 10:00:39 +0200
Source: openmcdf
Binary: openmcdf
Architecture: source all
Version: 1.5.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 openmcdf   - Structured Storage Explorer
Closes: 647886
Changes: 
 openmcdf (1.5.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #647886)
Checksums-Sha1: 
 d70515893b3d7309ce2bb17a9fdb91f9a2eb6d6d 2001 openmcdf_1.5.2-1.dsc
 0d9a8c812582aea05f8b32e510ffabc97c4a080f 306288 openmcdf_1.5.2.orig.tar.gz
 9950771c372a519c1333a0e1fbc98a3cf4e38b96 4125 openmcdf_1.5.2-1.debian.tar.gz
 d3bf777428f56ead0c7f417cda96a2efccdbc3ae 181256 openmcdf_1.5.2-1_all.deb
Checksums-Sha256: 
 aeec9206493ac16364cde5b44b052da753a146daf448de3cb5d6609d6e9d6bdc 2001 openmcdf_1.5.2-1.dsc
 c4397ee3e0f48864885aa7dc3781a48b771dd264d2d64770145981fad415aff8 306288 openmcdf_1.5.2.orig.tar.gz
 0f1e8519a9c92006b179a8026349863eeae373e0eeb9aa0b627fdbbf753cd939 4125 openmcdf_1.5.2-1.debian.tar.gz
 b5a0a2b5c3539234dee44296497317f2e06bb5bb4631094f730bbcb99f0da2ef 181256 openmcdf_1.5.2-1_all.deb
Files: 
 c120314c93be06895ed1d8deb6c63af5 2001 cli-mono optional openmcdf_1.5.2-1.dsc
 69052d143703b799eeb0e61e45c8938a 306288 cli-mono optional openmcdf_1.5.2.orig.tar.gz
 9c1e100b86b141a5babfca536779e711 4125 cli-mono optional openmcdf_1.5.2-1.debian.tar.gz
 58f7cc866a5d06f3bb7dca3ed630951a 181256 cli-mono optional openmcdf_1.5.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJPo5y6AAoJEAFx4YKK4JNF+9IP/R8n8Y6Rj8vLNWrHc8Jaon6X
cfeET1s3S3BLf6oKr7nz5vvdx6wUnlq2yh9QAjkLPzlR8a+mFxUInTf8JccJeFOh
YReiz7i1x+gFWUB31uK9J7ApRsyBIf+wE5b1/xi0Sj41/P/K484CP6N7xzkuA9OU
zSnQGmdHfhZ2zb/1JJBiBF+mCoP+kO4+YJrtNavu2Murz500ogYMUYhINbKRqUrt
vFSGb7c/FwU4z6dPDZ8M1MVlZR/81ecMKi8NVG2zTSLij6LJFWI8RdH0TBCx4tjU
1McH2pcdHHXwkVXscM8qoY0YSn6ynLQ2THk/MwCwt/9GZU9gvJ6RoNot4ogKSHOV
svDayzNbMp0hDywdQiReeYygBQYP9cvalDv6FeINvdeZNoUij2GQOM3kO8oSD9g+
haYRwi0vf7Ixs/sSJMzgUQLt2uyp/p8gwivkNq0Dnt+Fj27/punGcb31RCW5n6vj
qEG1PkDRWzOha+6uVRUhUookrjgWGi5l0hImhDTFtkPlhrIVxvoCru+Xx9UgLVd/
EtqgkyZNKO4j/RBREIJN/UmsY5lXdwCZqnbcUcIse/r+aDrIFtsYzCeOgLyGJLbh
mjtEmLR2VoXBWcWtpzB5BPY4CkIc20qigEi3fl83OQr/WprkQfrUlUZPAbxYrfd/
TT0HH2YNwiXJi2oSccqK
=fd25
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:53:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:04:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.